/*

The TreeNode Class

Creation Date: 17 July 2003
Author:  Pamela Cutter

Description:
    This file contains the implementation of a TreeNode class, to be used
    with the Binary Tree class. 
        
    A TreeNode consists of a reference to an Object, to hold the information
    in that node, and two references to TreeNodes.  These two references are
    to the left and right children of the node.
            
*/

public class TreeNode
{
    //data:
    private Object value;
    protected TreeNode left;
    protected TreeNode right;
        
    
    /** Creates a tree node with specified data and no children. */
    public TreeNode(Object initValue)
    {
        value = initValue;
        left = null;
        right = null;
    }
     
    /** Creates a tree node with specified data, left, and right children. */
    public TreeNode(Object initValue, TreeNode initLeft, TreeNode initRight)
    {
    	value = initValue;
    	left = initLeft;
    	right = initRight;
    }
    
    // accessor methods
    public Object getValue()
    {	return value;	}
    
    public TreeNode getLeft()
    {	return left;	}
    
    public TreeNode getRight()
    {	return right;	}
    
    // modifier methods
    
    public void setValue(Object theNewValue)
    {	value = theNewValue;	}
    
    public void setLeft(TreeNode theNewLeft)
    {	left = theNewLeft;	}
    
    public void setRight(TreeNode theNewRight)
    {	right = theNewRight;	}
    
    
}    //end class TreeNode
